org.vertx.java.core.json

## Class JsonArray

- java.lang.Object
- - org.vertx.java.core.json.JsonElement
  - - org.vertx.java.core.json.JsonArray

All Implemented Interfaces:
  java.lang.Iterable<java.lang.Object>

    public class JsonArray
    extends JsonElement
    implements java.lang.Iterable<java.lang.Object>

Represents a JSON array

### Constructor Summary

Constructors
Constructor and Description
`JsonArray()`
`JsonArray(java.util.List<java.lang.Object> array)`
`JsonArray(java.lang.Object[] array)`
`JsonArray(java.lang.String jsonString)`

### Method Summary

Methods
`JsonArray` `add(java.lang.Object obj)`
`JsonArray` `addArray(JsonArray value)`
`JsonArray` `addBinary(byte[] value)`
`JsonArray` `addBoolean(java.lang.Boolean value)`
`JsonArray` `addElement(JsonElement value)`
`JsonArray` `addNumber(java.lang.Number value)`
`JsonArray` `addObject(JsonObject value)`
`JsonArray` `addString(java.lang.String str)`
`boolean` `contains(java.lang.Object value)`
`JsonArray` `copy()`
`java.lang.String` `encode()`
`boolean` `equals(java.lang.Object o)`
`java.lang.Object` `get(int index)`
`java.util.Iterator<java.lang.Object>` `iterator()`
`int` `size()`
`java.lang.Object[]` `toArray()`

### Methods inherited from class org.vertx.java.core.json.JsonElement

`asArray, asObject, isArray, isObject`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JsonArray

    public JsonArray(java.util.List<java.lang.Object> array)

#### JsonArray

    public JsonArray(java.lang.Object[] array)

#### JsonArray

    public JsonArray()

#### JsonArray

    public JsonArray(java.lang.String jsonString)

### Method Detail

#### addString

    public JsonArray addString(java.lang.String str)

#### addObject

    public JsonArray addObject(JsonObject value)

#### addArray

    public JsonArray addArray(JsonArray value)

#### addElement

    public JsonArray addElement(JsonElement value)

#### addNumber

    public JsonArray addNumber(java.lang.Number value)

#### addBoolean

    public JsonArray addBoolean(java.lang.Boolean value)

#### addBinary

    public JsonArray addBinary(byte[] value)

#### add

    public JsonArray add(java.lang.Object obj)

#### size

    public int size()

#### get

    public java.lang.Object get(int index)

#### iterator

    public java.util.Iterator<java.lang.Object> iterator()

Specified by:
  `iterator` in interface `java.lang.Iterable<java.lang.Object>`

#### contains

    public boolean contains(java.lang.Object value)

#### encode

    public java.lang.String encode()
                            throws EncodeException

Throws:
  `EncodeException`

#### copy

    public JsonArray copy()

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### toArray

    public java.lang.Object[] toArray()